Name:       dnscrypt-proxy
Version:    1.6.1
Release:    1%{?dist}
Summary:    DNSCrypt client

Group:      System Environment/Daemons
License:    GPLv2
URL:        https://dnscrypt.org/
Source0:    https://github.com/jedisct1/%{name}/archive/%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  libevent-devel
BuildRequires:  libsodium-devel


%description
DNSCrypt is a protocol that authenticates communications between a DNS
client and a DNS resolver. It prevents DNS spoofing. It uses cryptographic
signatures to verify that responses originate from the chosen DNS resolver
and haven't been tampered with.


%prep
%setup -n %{name}-%{version} -q


%build
make configure
%configure --prefix=/usr
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/hostip
%{_sbindir}/%{name}
%{_usr}/share/%{name}
%{_mandir}/man8/%{name}*
%{_mandir}/man8/hostip*


%changelog
* Fri Apr 22 2016 Nikos Roussos <comzeradd@fedoraproject.org> 1.6.1-1
- Update to 1.6.1

* Sat Oct 24 2015 Nikos Roussos <comzeradd@fedoraproject.org> 1.6.0-1
- Initial package
